import knex, { Knex } from 'knex';
import config from '../../../knexfile';
import { Group, Task, Step, Image } from './types';

export function createDb(env: string = process.env.NODE_ENV || 'development') {
  return knex(config[env]);
}

export function groups(db: Knex) {
  return db<Group>('groups');
}
export function tasks(db: Knex) {
  return db<Task>('tasks');
}
export function steps(db: Knex) {
  return db<Step>('steps');
}
export function images(db: Knex) {
  return db<Image>('images');
}